libqxp::Box Struct Reference

`#include <QXPTypes.h>`

Inheritance diagram for libqxp::Box:

## Public Member Functions
| Box ()

## Public Attributes
boost::optional< Fill > | fill
Frame | frame
BoxType | boxType
CornerType | cornerType
double | cornerRadius
double | rotation
std::vector< Point > | customPoints
std::vector< CurveComponent > | curveComponents
Public Attributes inherited from libqxp::Object
Rect | boundingBox
bool | runaround
unsigned | zIndex

## Additional Inherited Members
Protected Member Functions inherited from libqxp::Object
| Object ()

## Constructor & Destructor Documentation

## ◆ Box()

libqxp::Box::Box | ( |  | ) |
| inline

## Member Data Documentation

## ◆ boxType

BoxType libqxp::Box::boxType

Referenced by Box().

## ◆ cornerRadius

double libqxp::Box::cornerRadius

Referenced by Box().

## ◆ cornerType

CornerType libqxp::Box::cornerType

Referenced by Box().

## ◆ curveComponents

std::vector<CurveComponent> libqxp::Box::curveComponents

Referenced by Box().

## ◆ customPoints

std::vector<Point> libqxp::Box::customPoints

Referenced by Box().

## ◆ fill

boost::optional<Fill> libqxp::Box::fill

Referenced by Box().

## ◆ frame

Frame libqxp::Box::frame

Referenced by Box().

## ◆ rotation

double libqxp::Box::rotation

Referenced by Box().

The documentation for this struct was generated from the following file:

- QXPTypes.h